org.apache.ode.bpel.runtime.channels

## Class PickResponseChannelListener

- java.lang.Object
- - org.apache.ode.jacob.JacobObject
  - - org.apache.ode.jacob.ChannelListener<PickResponseChannel>
    - - org.apache.ode.bpel.runtime.channels.PickResponseChannelListener

- All Implemented Interfaces:
    java.io.Serializable, PickResponse, TimerResponse

      public abstract class PickResponseChannelListener
      extends ChannelListener<PickResponseChannel>
      implements PickResponse

  An auto-generated channel listener abstract class for the `PickResponse` channel type.
  See Also:
    `PickResponse`, `PickResponseChannel`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PickResponseChannelListener(PickResponseChannel channel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.slf4j.Logger` | `log()`

    - ### Methods inherited from class org.apache.ode.jacob.ChannelListener

      `getChannel, getImplementedMethods, or, or, setChannel, toString`

    - ### Methods inherited from class org.apache.ode.jacob.JacobObject

      `getClassName, getExtension, getMethod, importChannel, instance, newChannel, newChannel, object, object, object, object, replication, replication`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ode.bpel.runtime.channels.PickResponse

      `onRequestRcvd`

    - ### Methods inherited from interface org.apache.ode.bpel.runtime.channels.TimerResponse

      `onCancel, onTimeout`

- - ### Constructor Detail

    - #### PickResponseChannelListener

          protected PickResponseChannelListener(PickResponseChannel channel)

  - ### Method Detail

    - #### log

          protected org.slf4j.Logger log()

      Overrides:
        `log` in class `ChannelListener<PickResponseChannel>`